Kerbal Space Program - Bug #20762

Making History Triangular Structural Panels Mirror Symmetry Issue

12/26/2018 01:03 PM - Vycma

Status: Confirmed Start date: 12/26/2018
Severity: Low % Done: 10%
Assignee:

Category: Parts

Target version:

Version: 1.6.1 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion: Making History

Description

Mirror symmetry mode for right-angled structural panels of the Making History expansion does not mirror part rotation properly, i.e.
similar to triangular lifting surfaces. Instead the part rotation seems to be set according to radial symmetry mode, as shown in the
attached images. This issue exists in all versions since the release of Making History.
“ Name

This behaviour might be intended. If it is, consider this post feedback to possibly change it, since the current behaviour clashes with
expectations established by other parts.

History

#1 - 12/28/2018 08:46 PM - Dunbaratu

| can confirm | have this same problem, and have had it since Making History first came out. The default orientation and mirroring of these parts
makes them nearly useless for their intended purpose, seeing as how the only way to make them orient properly is to attach them one at a time and
manually try to make them symmetrical by eye, which doesn't really work either.

#2 - 01/10/2019 10:27 AM - Vycma

- Version changed from 1.6.0 to 1.6.1
Update:

Issue still exists in 1.6.1

#5 - 01/24/2019 07:00 PM - Nebbie

- Status changed from New to Confirmed

- % Done changed from 0 to 10
- Platform Linux added

Ran into this myself with some recent craft building.

#6 - 04/10/2019 07:28 PM - Vycma
Update:

Issue still exists in 1.7.0

#7 - 05/28/2019 04:02 AM - Anonymous
- File rotate TriangleModels.cfg added

To place a part in mirror symmetry, the editor needs to rotate the mirrored part so that its plane of symmetry is the reflection of the part being placed,
that reflection being done in the mirror plane of the ((great)grand)parent part. Somehow, the editor needs to know the plane of symmetry of the part

04/10/2024 3/4



being placed.

There is no obvious indication of the symmetry plane in the configuration files. Surface-attachable from the core game have their node_attach point in
their plane of symmetry, and the local y-axis in their plane of symmetry.

If we patch the configuration files as attached, so that KSP rotates the models of these parts to put their plane of symmetry in the x-y plane (like wing
parts) then the behavior in the editor is much better. With branches of several parts connected by their nodes, however, the editor still fails to make
mirror symmetry. Surface attaching works. (Radial symmetry always works.)

The attached patch changes the starting orientation of these parts, so it breaks existing craft files that use them, because the craft file stores the
rotation of parts from their starting orientation to that used in the craft.

#8 - 06/05/2019 03:58 PM - Vycma
Update:

Issue still exists in 1.7.1

#9 - 06/13/2019 08:40 AM - Vycma
Update:

Issue still exists in 1.7.2

#10 - 07/14/2019 12:25 PM - Vycma
Update:

Issue still exists in 1.7.3

#11 - 10/29/2019 07:56 PM - Vycma
Update:

Issue still exists in 1.8.1

| also noticed for even-sided structural panels, that if you mount them in a mirrored tree and rotate some part in the tree, subsequent panels in the

mirrored tree have their part rotation reset to a default rotation, so that only one tree is rotated correctly.

#12 - 02/13/2020 10:09 AM - Vycma
Update:

Issue still exists in 1.9.0

#13 - 07/01/2020 04:35 PM - Vycma
Update:
Issue still exists in 1.10.0

#14 - 07/28/2020 07:03 PM - Vycma
Update:

1.10.1 has, as far as | can see, fixed the issue! Thank you Squad for addressing it!
